> For the complete documentation index, see [llms.txt](https://docs.nwc.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nwc.dev/reference-api/overview/multi_pay_invoice.md).

# multi\_pay\_invoice

### **Use case**

The app requests a payment of multiple [BOLT-11](https://github.com/lightningnetwork/lightning-rfc/blob/master/11-payment-encoding.md) invoices from the wallet.

### **Request**

```json
{
    "method": "multi_pay_invoice",
    "params": {
        "invoices": [
          {"invoice": lnbc1...", "amount": 123}, // bolt11 invoice and amount in msats, amount is optional
          {"invoice": lnbc50n1..."},
        ],
    }
}
```

### **Response**

For every invoice in the request, a separate response event is sent. To differentiate between the responses, each response event contains an `payment_hash` **tag** with the payment hash of the invoice it is responding to.

```json
{
    "result_type": "multi_pay_invoice",
    "result": {
        "preimage": "0123456789abcdef..." // preimage of the payment
    }
}
```

### **Errors**

* `PAYMENT_FAILED`: The payment failed. This may be due to a timeout, exhausting all routes, insufficient capacity or similar.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nwc.dev/reference-api/overview/multi_pay_invoice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
